{ stdenv, fetchgit, dhallPackages }:

dhallPackages.buildDhallPackage {
  name = "dhall-genode";

  code = let
    src = fetchgit {
      url = "https://git.sr.ht/~ehmry/dhall-genode";
      rev = "882740d78425bb1a6c4b1b34b1b201ace9d71317";
      sha256 = "0cqlrbjb6023x7yynnglv11755xiw0wy4g16r88nsflcw119czqm";
    };
  in src + "/package.dhall";

  dependencies = [ dhallPackages.Prelude ];

  source = true;
}
